# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-flask-oauth
%global mod_name Flask-OAuth

Name:           python-module-flask-oauth
Version:        0.12
Release:        alt1_2
Summary:        Adds OAuth support to Flask

Group:          Development/Python
License:        BSD
URL:            http://github.com/mitsuhiko/flask-oauth
Source0:        http://pypi.python.org/packages/source/F/%{mod_name}/%{mod_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-oauth2
BuildRequires:  python-module-setuptools
Source44: import.info

%description
Flask-OAuth is an extension to Flask that allows you 
to interact with remove OAuth enabled applications.

%prep
%setup -q -n %{mod_name}-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%files
%doc README PKG-INFO
%{python_sitelibdir_noarch}/*.egg-info/
%{python_sitelibdir_noarch}/*.py*

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.12-alt1_2
- update to new release by fcimport

* Sun Jan 06 2013 Igor Vlasenko <viy@altlinux.ru> 0.12-alt1_1
- initial fc import

